/[pupa]/pupa/configure
ViewVC logotype

Diff of /pupa/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.6 by marco_g, Wed Oct 29 18:44:26 2003 UTC revision 1.7 by marco_g, Wed Dec 3 19:17:24 2003 UTC
# Line 3253  fi Line 3253  fi
3253    
3254  echo "$as_me:$LINENO: result: $pupa_cv_i386_asm_absolute_without_asterisk" >&5  echo "$as_me:$LINENO: result: $pupa_cv_i386_asm_absolute_without_asterisk" >&5
3255  echo "${ECHO_T}$pupa_cv_i386_asm_absolute_without_asterisk" >&6  echo "${ECHO_T}$pupa_cv_i386_asm_absolute_without_asterisk" >&6
3256    
3257    echo "$as_me:$LINENO: checking if GCC has the regparm=3 bug" >&5
3258    echo $ECHO_N "checking if GCC has the regparm=3 bug... $ECHO_C" >&6
3259    if test "${pupa_cv_i386_check_nested_functions+set}" = set; then
3260      echo $ECHO_N "(cached) $ECHO_C" >&6
3261    else
3262      if test "$cross_compiling" = yes; then
3263      { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
3264    See \`config.log' for more details." >&5
3265    echo "$as_me: error: cannot run test program while cross compiling
3266    See \`config.log' for more details." >&2;}
3267       { (exit 1); exit 1; }; }
3268    else
3269      cat >conftest.$ac_ext <<_ACEOF
3270    #line $LINENO "configure"
3271    /* confdefs.h.  */
3272    _ACEOF
3273    cat confdefs.h >>conftest.$ac_ext
3274    cat >>conftest.$ac_ext <<_ACEOF
3275    /* end confdefs.h.  */
3276    int *p;
3277    
3278    int
3279    main ()
3280    {
3281      int test;
3282    
3283      int __attribute__ ((__regparm__ (3))) nestedfunc (int a, int b, int c)
3284        {
3285          return (&test == p);
3286        }
3287    
3288      p = &test;
3289      return nestedfunc (0, 0, 0);
3290    }
3291    
3292    _ACEOF
3293    rm -f conftest$ac_exeext
3294    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3295      (eval $ac_link) 2>&5
3296      ac_status=$?
3297      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3298      (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
3299      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3300      (eval $ac_try) 2>&5
3301      ac_status=$?
3302      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3303      (exit $ac_status); }; }; then
3304      pupa_cv_i386_check_nested_functions=yes
3305    else
3306      echo "$as_me: program exited with status $ac_status" >&5
3307    echo "$as_me: failed program was:" >&5
3308    sed 's/^/| /' conftest.$ac_ext >&5
3309    
3310    ( exit $ac_status )
3311    pupa_cv_i386_check_nested_functions=no
3312    fi
3313    rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
3314    fi
3315  fi  fi
3316    
3317    
3318    echo "$as_me:$LINENO: result: $pupa_cv_i386_check_nested_functions" >&5
3319    echo "${ECHO_T}$pupa_cv_i386_check_nested_functions" >&6
3320    
3321    if test "x$pupa_cv_i386_check_nested_functions" = xyes; then
3322    
3323    cat >>confdefs.h <<\_ACEOF
3324    #define NESTED_FUNC_ATTR __attribute__ ((__regparm__ (2)))
3325    _ACEOF
3326    
3327    else
3328    
3329    cat >>confdefs.h <<\_ACEOF
3330    #define NESTED_FUNC_ATTR
3331    _ACEOF
3332    
3333    fi
3334    
3335    else
3336    
3337    cat >>confdefs.h <<\_ACEOF
3338    #define NESTED_FUNC_ATTR
3339    _ACEOF
3340    
3341    fi
3342    
3343  # Find a good install program.  We prefer a C program (faster),  # Find a good install program.  We prefer a C program (faster),
3344  # so one script is as good as another.  But avoid the broken or  # so one script is as good as another.  But avoid the broken or
3345  # incompatible versions:  # incompatible versions:

Legend:
Removed from v.1.6  
changed lines
  Added in v.1.7

savannah-hackers-public@gnu.org
ViewVC Help
Powered by ViewVC 1.1.26